Mailinglist Archive: opensuse-updates (123 mails)

< Previous Next >
openSUSE-RU-2017:2705-1: Recommended update for aws-cli, python-botocore
openSUSE Recommended Update: Recommended update for aws-cli, python-botocore
______________________________________________________________________________

Announcement ID: openSUSE-RU-2017:2705-1
Rating: low
References: #1044370
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that has one recommended fix can now be installed.

Description:

This update provides aws-cli 1.11.104, which brings many fixes and
enhancements.

aws-cli (update to version 1.11.104):

- https://github.com/aws/aws-cli/blob/1.11.104/CHANGELOG.rst

python-botocore (update to version 1.5.67):

- https://github.com/boto/botocore/blob/1.5.67/CHANGELOG.rst

python-jmespath (update to 0.9.2):

- Raise LexerError on invalid numbers
- Add support for custom functions
- Fix ZeroDivisionError for built-in function avg() on empty lists
- Properly handle non numerical ordering operators
- Add support for new lines with tokens in an expression
- Add support for JEP 9 which introduces "and", "unary", "not" and "paren"
expressions
- Improve lexing performance
- Fix parsing error for multiselect lists
- Fix issue with escaping single quotes in literal strings
- Add support for providing your own dict cls to support ordered
dictionaries
- Add map() function

python-s3transfer (update to version 0.1.10):

- Expose ability to use own executor class for TransferManager

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2017-1151=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-1151=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (noarch):

aws-cli-1.11.104-20.1
python-boto3-1.4.4-12.1
python-botocore-1.5.67-12.1
python-jmespath-0.9.2-7.1
python-s3transfer-0.1.10-9.1

- openSUSE Leap 42.2 (noarch):

aws-cli-1.11.104-11.4.1
python-boto3-1.4.4-8.4.1
python-botocore-1.5.67-8.4.1
python-jmespath-0.9.2-3.4.1
python-s3transfer-0.1.10-5.4.1


References:

https://bugzilla.suse.com/1044370


< Previous Next >
This Thread
  • No further messages